package com.bonus.canteen.core.allocation.canteen.vo;

import com.bonus.canteen.core.allocation.canteen.model.AllocLabel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel("标签VO")
public class AllocLabelVO {
   @ApiModelProperty("标签名称")
   private String labelName;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public void setTime(AllocLabel allocLabel) {
      this.crtime = allocLabel.getCrtime();
      this.uptime = allocLabel.getUptime();
   }

   public String getLabelName() {
      return this.labelName;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setLabelName(final String labelName) {
      this.labelName = labelName;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
